Android Güvenlik Bülteni - Mayıs 2019

6 Mayıs 2019'da Yayınlandı | 6 Mayıs 2019'da güncellendi

Android Güvenlik Bülteni, Android cihazları etkileyen güvenlik açıklarının ayrıntılarını içerir. 2019-05-05 veya sonraki güvenlik yaması düzeyleri bu sorunların tümünü ele alır. Bir cihazın güvenlik yaması düzeyini nasıl kontrol edeceğinizi öğrenmek için bkz.Android sürümünüzü kontrol etme ve güncelleme .

Android iş ortakları, tüm sorunlar yayınlanmadan en az bir ay önce bilgilendirilir. Bu sorunlar için kaynak kod yamaları, Android Açık Kaynak Projesi (AOSP) havuzunda yayınlanmış ve bu bültenden bağlanmıştır. Bu bülten ayrıca AOSP dışındaki yamalara bağlantılar içerir.

Bu sorunların en önemlisi, özel olarak hazırlanmış bir dosya kullanan uzaktaki bir saldırganın ayrıcalıklı bir işlem bağlamında rastgele kod yürütmesine olanak verebilecek Medya çerçevesindeki kritik bir güvenlik açığıdır. Önem derecesi değerlendirmesi , güvenlik açığından yararlanmanın etkilenen bir cihaz üzerinde sahip olabileceği etkiye dayanır ve platform ve hizmet azaltma işlemlerinin geliştirme amacıyla kapatıldığı veya başarılı bir şekilde atlandığı varsayılır.

Yeni bildirilen bu sorunların aktif olarak istismar edildiğine veya kötüye kullanıldığına dair herhangi bir bildirim almadık. Android güvenlik platformu korumaları ve Android platformunun güvenliğini artıran Google Play Protect hakkında ayrıntılar için Android ve Google Play Protect azaltıcı etkenler bölümüne bakın.

Not: Google cihazları için en son kablosuz güncelleme (OTA) ve donanım yazılımı görüntüleri ile ilgili bilgiler Mayıs 2019 Piksel Güncelleme Bülteninde mevcuttur .

Android ve Google hizmeti azaltıcı önlemler

Bu, Android güvenlik platformu tarafından sağlanan azaltma önlemlerinin ve Google Play Protect gibi hizmet korumalarının bir özetidir. Bu yetenekler, güvenlik açıklarından Android'de başarıyla yararlanma olasılığını azaltır.

  • Android platformunun daha yeni sürümlerindeki geliştirmeler, Android'deki birçok sorundan yararlanmayı daha da zorlaştırıyor. Mümkünse tüm kullanıcıları en son Android sürümüne güncelleme yapmaya teşvik ediyoruz.
  • Android güvenlik ekibi, Google Play Protect aracılığıyla kötüye kullanımı aktif olarak izler ve kullanıcıları Zararlı Olabilecek Uygulamalar konusunda uyarır. Google Play Protect, Google Mobile Services bulunan cihazlarda varsayılan olarak etkindir ve özellikle Google Play dışından uygulama yükleyen kullanıcılar için önemlidir.

2019-05-01 güvenlik yaması düzeyinde güvenlik açığı ayrıntıları

Aşağıdaki bölümlerde, 2019-05-01 yama düzeyi için geçerli olan güvenlik açıklarının her biri için ayrıntılar sunuyoruz. Güvenlik açıkları, etkiledikleri bileşen altında gruplanır. Sorunun bir açıklaması ve CVE, ilişkili referanslar, güvenlik açığı türü , önem derecesi ve güncellenmiş AOSP sürümlerini (uygun olduğu durumlarda) içeren bir tablo vardır. Mümkün olduğunda, sorunu ele alan genel değişikliği, AOSP değişiklik listesi gibi hata kimliğine bağlarız. Birden fazla değişiklik tek bir hatayla ilgili olduğunda, hata kimliğini izleyen numaralara ek referanslar bağlanır.

Çerçeve

Bu bölümdeki güvenlik açığı, yerel bir kötü amaçlı uygulamanın ek izinlere erişim elde etmek için kullanıcı etkileşim gereksinimlerini atlamasına olanak sağlayabilir.

CVE Referanslar Tür Ciddiyet Güncellenmiş AOSP sürümleri
CVE-2019-2043 A-120484087 EoP Orta 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

Medya çerçevesi

Bu bölümdeki güvenlik açığı, özel hazırlanmış bir dosya kullanan uzaktaki bir saldırganın ayrıcalıklı bir işlem bağlamında rasgele kod yürütmesine olanak sağlayabilir.

CVE Referanslar Tür Ciddiyet Güncellenmiş AOSP sürümleri
CVE-2019-2044 A-123701862 RCE Kritik 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

Sistem

Bu bölümdeki en ciddi güvenlik açığı, özel hazırlanmış bir PAC dosyasını kullanan uzaktaki bir saldırganın ayrıcalıklı bir işlem bağlamında rasgele kod yürütmesine olanak verebilir.

CVE Referanslar Tür Ciddiyet Güncellenmiş AOSP sürümleri
CVE-2019-2045 A-117554758 RCE Kritik 7.0, 7.1.1, 7.1.2, 8.1, 9
CVE-2019-2046 A-117556220 RCE Kritik 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2047 A-117607414 RCE Kritik 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2049 A-120445479 EoP Yüksek 9
CVE-2019-2050 A-121327323 EoP Yüksek 8.0, 8.1, 9
CVE-2019-2051 A-117555811 İD Yüksek 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2052 A-117556606 İD Yüksek 7.0, 7.1.1, 7.1.2, 8.1, 9
CVE-2019-2053 A-122074159 İD Yüksek 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

2019-05-05 güvenlik yaması düzeyinde güvenlik açığı ayrıntıları

Aşağıdaki bölümlerde, 2019-05-05 yama düzeyi için geçerli olan güvenlik açıklarının her biri için ayrıntılar sunuyoruz. Güvenlik açıkları, etkiledikleri bileşen altında gruplanır ve CVE, ilgili referanslar, güvenlik açığı türü , önem derecesi , bileşen (uygun olduğu yerde) ve güncellenmiş AOSP sürümleri (uygun olduğu durumlarda) gibi ayrıntıları içerir. Mümkün olduğunda, sorunu ele alan genel değişikliği, AOSP değişiklik listesi gibi hata kimliğine bağlarız. Birden fazla değişiklik tek bir hatayla ilgili olduğunda, hata kimliğini izleyen numaralara ek referanslar bağlanır.

Çekirdek bileşenleri

Bu bölümdeki güvenlik açığı, yerel bir saldırganın ayrıcalıklı bir işlem bağlamında gerekli ek yürütme ayrıcalıkları olmadan ayrıcalıkları artırmasına olanak sağlayabilir.

CVE Referanslar Tür Önem Bileşen
CVE-2019-2054 A-119769499 * EoP Orta seccomp

NVIDIA bileşenleri

Bu bölümdeki güvenlik açığı, yerel bir saldırganın ayrıcalıkları artırmasına (ek yürütme ayrıcalıklarına ihtiyaç duyulur) ve ayrıcalıklı bir işlem bağlamında rasgele kod yürütmesine olanak sağlayabilir.

CVE Referanslar Tür Ciddiyet Bileşen
CVE-2018-6243 A-72315075 * EoP Yüksek Pixel C TrustZone

Broadcom bileşenleri

Bu bölümdeki güvenlik açığı, özel hazırlanmış bir iletim kullanan uzaktaki bir saldırganın ayrıcalıklı bir işlem bağlamında kod yürütmesine olanak sağlayabilir.

CVE Referanslar Tür Ciddiyet Bileşen
CVE-2018-19860 A-122249979 * RCE Yüksek Bluetooth aygıt yazılımı

Qualcomm bileşenleri

Bu güvenlik açıkları Qualcomm bileşenlerini etkiler ve uygun Qualcomm güvenlik bülteninde veya güvenlik uyarısında daha ayrıntılı olarak açıklanır. Bu sorunların ciddiyet değerlendirmesi doğrudan Qualcomm tarafından sağlanır.

CVE Referanslar Tür Ciddiyet Bileşen
CVE-2018-11955 A-78528839
QC-CR # 2249768
Yok Yüksek WLAN sürücüsü
CVE-2018-13919 A-120486022
QC-CR # 2289598
Yok Yüksek Veri HLOS - LNX
CVE-2018-11819 A-112277301
QC-CR # 2176354
Yok Orta WLAN sürücüsü

Qualcomm kapalı kaynak bileşenleri

Bu güvenlik açıkları, Qualcomm kapalı kaynak bileşenlerini etkiler ve uygun Qualcomm güvenlik bülteninde veya güvenlik uyarısında daha ayrıntılı olarak açıklanır. Bu sorunların ciddiyet değerlendirmesi doğrudan Qualcomm tarafından sağlanır.

CVE Referanslar Tür Ciddiyet Bileşen
CVE-2018-5912 A-114074547 * Yok Kritik Kapalı kaynak bileşeni
CVE-2018-13898 A-119050181 * Yok Kritik Kapalı kaynak bileşeni
CVE-2019-2255 A-122474428 * Yok Kritik Kapalı kaynak bileşeni
CVE-2019-2256 A-114067283 * Yok Kritik Kapalı kaynak bileşeni
CVE-2018-13901 A-119049466 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-13902 A-119050073 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-13906 A-119049388 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-13907 A-119050001 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-13908 A-119049623 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-13909 A-119051002 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-13910 A-119050182 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-13911 A-119052037 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2018-5913 A-122472140 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2019-2257 A-112303441 * Yok Yüksek Kapalı kaynak bileşeni
CVE-2019-2259 A-123997497 * Yok Yüksek Kapalı kaynak bileşeni

Sık sorulan sorular ve cevaplar

Bu bölüm, bu bülteni okuduktan sonra ortaya çıkabilecek yaygın soruları yanıtlamaktadır.

1. Cihazımın bu sorunları gidermek için güncellenip güncellenmediğini nasıl anlarım?

Bir cihazın güvenlik yaması düzeyini nasıl kontrol edeceğinizi öğrenmek için bkz.Android sürümünüzü kontrol etme ve güncelleme .

  • 2019-05-01 veya sonraki güvenlik yaması düzeyleri, 2019-05-01 güvenlik yaması düzeyiyle ilişkili tüm sorunları ele alır.
  • 2019-05-05 veya sonraki güvenlik yaması düzeyleri, 2019-05-05 güvenlik yaması düzeyi ve önceki tüm yama düzeyleriyle ilişkili tüm sorunları ele alır.

Bu güncellemeleri içeren cihaz üreticileri yama dizisi seviyesini şu şekilde ayarlamalıdır:

  • [ro.build.version.security_patch]: [2019-05-01]
  • [ro.build.version.security_patch]: [2019-05-05]

2. Bu bültende neden iki güvenlik yaması düzeyi var?

Bu bültende iki güvenlik yaması düzeyi vardır, böylece Android iş ortakları, tüm Android cihazlarda benzer bir güvenlik açığı alt kümesini daha hızlı bir şekilde düzeltme esnekliğine sahip olur. Android ortaklarının bu bültendeki tüm sorunları gidermeleri ve en son güvenlik yaması düzeyini kullanmaları önerilir.

  • 2019-05-01 güvenlik yaması düzeyini kullanan cihazlar, bu güvenlik yaması düzeyiyle ilişkili tüm sorunları ve önceki güvenlik bültenlerinde bildirilen tüm sorunların düzeltmelerini içermelidir.
  • 2019-05-05 veya daha yeni güvenlik yaması düzeyini kullanan cihazlar, bu (ve önceki) güvenlik bültenlerindeki tüm geçerli yamaları içermelidir.

İş ortaklarının, ele aldıkları tüm sorunlar için düzeltmeleri tek bir güncellemede bir araya getirmeleri önerilir.

3. Tür sütunundaki girişler ne anlama geliyor?

Güvenlik açığı ayrıntıları tablosunun Tür sütunundaki girişler, güvenlik açığı sınıflandırmasına atıfta bulunur.

Kısaltma Tanım
RCE Uzaktan kod yürütme
EoP Ayrıcalık yükselmesi
İD Bilgi ifşası
DoS Hizmet reddi
Yok Sınıflandırma mevcut değil

4. Referanslar sütunundaki girişler ne anlama geliyor?

Güvenlik açığı ayrıntıları tablosunun Başvurular sütununun altındaki girişler, referans değerinin ait olduğu kuruluşu tanımlayan bir önek içerebilir.

Önek Referans
A- Android hata kimliği
QC- Qualcomm referans numarası
M- MediaTek referans numarası
N- NVIDIA referans numarası
B- Broadcom referans numarası

5. Başvurular sütunundaki Android hata kimliğinin yanındaki * * ne anlama geliyor?

Herkese açık olmayan sorunlar, Referanslar sütunundaki Android hata kimliğinin yanında * işaretine sahiptir. Bu soruna yönelik güncelleme, genellikle Google Geliştirici sitesinde bulunan Pixel cihazlar için en son ikili sürücülerde bulunur.

6. Güvenlik açıkları bu bülten ile Pixel bülteni gibi cihaz / ortak güvenlik bültenleri arasında neden bölünüyor?

Bu güvenlik bülteninde belgelenen güvenlik açıkları, Android cihazlarda en son güvenlik yaması düzeyini bildirmek için gereklidir. Aygıt / iş ortağı güvenlik bültenlerinde belgelenen ek güvenlik açıkları, bir güvenlik yaması düzeyi bildirmek için gerekli değildir. Android cihaz ve yonga seti üreticilerinin, cihazlarındaki diğer düzeltmelerin varlığını Samsung , LGE veya Pixel güvenlik bültenleri gibi kendi güvenlik web siteleri aracılığıyla belgelemeleri önerilir.

Versiyonlar

Versiyon Tarih (değiştir | kaynağı değiştir) Notlar
1.0 6 Mayıs 2019 Bülten yayınlandı
1.1 6 Mayıs 2019 Bülten, AOSP bağlantılarını içerecek şekilde revize edildi